<div>
  <header>
    <button mat-button [matMenuTriggerFor]="menu">
      <img src="../../assets/menu.svg" alt="menu" />
    </button>
    <mat-menu #menu="matMenu">
      <button mat-menu-item (click)="calendar()">Agenda</button>
      <button mat-menu-item (click)="logout()">Logout</button>
    </mat-menu>
  </header>
</div>

<div class="dashboard">
<div class="dashboard-main">
  <div class="dashboard-box">
    <div class="chart-box">
      <div class="chart-content-box">
        <div style="width: 98%">
          <canvas
            baseChart
            [colors]="myColors"
            [chartType]="'horizontalBar'"
            [datasets]="chartData"
            [legend]="true"
          >
          </canvas>
        </div>
      </div>
      <div class="chart-content-box">
        <div style="width: 98%">
          <canvas
            baseChart
            [colors]="myColors2"
            [chartType]="'horizontalBar'"
            [datasets]="chartData2"
            [legend]="true"
          >
          </canvas>
        </div>
      </div>
      <div class="chart-content-box">
        <div style="width: 98%">
          <canvas
            baseChart
            [colors]="myColors3"
            [chartType]="'pie'"
            [datasets]="chartData3"
            [legend]="true"
          >
          </canvas>
        </div>
      </div>
    </div>
  </div>

  <div class="list">
    <div class="list-box">
      <div class="title-box">Agendamentos para hoje</div>
      <table mat-table [dataSource]="dataSource" class="mat-elevation">
        <ng-container matColumnDef="position">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element">{{ element.position }}</td>
        </ng-container>

        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>Nome</th>
          <td mat-cell *matCellDef="let element">{{ element.name }}</td>
        </ng-container>

        <ng-container matColumnDef="phisician">
          <th mat-header-cell *matHeaderCellDef>Médico</th>
          <td mat-cell *matCellDef="let element">{{ element.phisician }}</td>
        </ng-container>

        <ng-container matColumnDef="speciality">
          <th mat-header-cell *matHeaderCellDef>Especialidade</th>
          <td mat-cell *matCellDef="let element">{{ element.speciality }}</td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
      </table>
    </div>
  </div>
</div>
</div>